class Installer:
	method: install
	method: uninstall
	method: upgrade
	- instance: product
		class: Product
			- instance: bootstrap
				class: Bootstrap
					method:	get_config
					method: parse_config
			- instance: source
				class: Source
					method: install
					method: uninstall
					method: upgrade
			- instance: package
				class: Package
					- type: DebPackage|RpmPackage|SnapPackage|FlatPakPackage
					class: Repository
						- type: DebRepo|RpmRepo|SnapRepo|FlatPakRepo
						method: add
						method: remove
						method: enable
						method: disable
					method: install
					method: uninstall
					method: upgrade
			- instance: container
				class: Container
					- type: DockerContainer
					method: build
					method: run
			- instance: config
				class: Config
					method: get_attr
					method: set_attr
			- instance: file
				class: File
					method: install
					method: remove
			- instance: script
				class: Script
					method: pre_inst
					method: post_inst
					method: pre_rm
					method: post_rm
					method: trigger
	
